protected/models/Invoice.php
<?php

/**
 * This is the model class for table "invoice".
 *
 * The followings are the available columns in table 'invoice':
 * @property string $id
 * @property string $date
 * @property string $name
 * @property string $company
 * @property integer $price
 * @property integer $pay
 */
class Invoice extends CActiveRecord {
    public $currency;
    /**
     * @return string the associated database table name
     */
    public function tableName() {
	return 'invoice';
    }

    /**
     * @return array validation rules for model attributes.
     */
    public function rules() {
	// NOTE: you should only define rules for those attributes that
	// will receive user inputs.
	return array(
	    array('currency, date, name, user_id, company, service, price, count', 'required'),
	    array('price,count,vat,discount', 'numerical', 'integerOnly' => true),
	    array('id', 'length', 'max' => 15),
	    array('name, company', 'length', 'max' => 255),
	    // The following rule is used by search().
	    // @todo Please remove those attributes that should not be searched.
	    array('id, date, name, company, price, pay', 'safe', 'on' => 'search'),
	);
    }

    /**
     * @return array relational rules.
     */
    public function relations() {
	// NOTE: you may need to adjust the relation name and the related
	// class name for the relations automatically generated below.
	return array(
	);
    }

    /**
     * @return array customized attribute labels (name=>label)
     */
    public function attributeLabels() {
	return array(
	    'id' => 'ID',
	    'user_id' => Yii::t('lang','InvoiceClientNameText'),
	    'date' => Yii::t('lang','InvoiceDateText'),
	    'name' => Yii::t('lang','InvoiceNameText'),
	    'service' => Yii::t('lang','InvoiceServiceText'),
	    'company' => Yii::t('lang','InvoiceCompanyText'),
	    'price' => Yii::t('lang','InvoicePriceText'),
	    'currency' => Yii::t('lang','InvoiceCurrencyText'),
	    'pay' => 'Pay',
	    'count' => Yii::t('lang','InvoiceCountText'),
	    'vat' => Yii::t('lang','InvoiceVATText').' (%)',
	    'discount' => Yii::t('lang','InvoiceDiscountText'),
	);
    }

    /**
     * Retrieves a list of models based on the current search/filter conditions.
     *
     * Typical usecase:
     * - Initialize the model fields with values from filter form.
     * - Execute this method to get CActiveDataProvider instance which will filter
     * models according to data in model fields.
     * - Pass data provider to CGridView, CListView or any similar widget.
     *
     * @return CActiveDataProvider the data provider that can return the models
     * based on the search/filter conditions.
     */
    public function search() {
	// @todo Please modify the following code to remove attributes that should not be searched.

	$criteria = new CDbCriteria;

	$criteria->compare('id', $this->id, true);
	$criteria->compare('date', $this->date, true);
	$criteria->compare('name', $this->name, true);
	$criteria->compare('company', $this->company, true);
	$criteria->compare('price', $this->price);
	$criteria->compare('pay', $this->pay);

	$check = MyHelper::checkAccess(Yii::app()->user->role);
	//echo (int)$check;
	if (!empty($check)) {	   
	    $criteria->compare('user_id', $this->user_id);
	} else {	    
	    $criteria->compare('user_id', Yii::app()->user->id);
	}


	return new CActiveDataProvider($this, array(
	    'criteria' => $criteria,
	));
    }

    /**
     * Returns the static model of the specified AR class.
     * Please note that you should have this exact method in all your CActiveRecord descendants!
     * @param string $className active record class name.
     * @return Invoice the static model class
     */
    public static function model($className = __CLASS__) {
	return parent::model($className);
    }

}

protected/controllers/InvoiceController.php
<?php

class InvoiceController extends Controller {

    /**
     * @var string the default layout for the views. Defaults to '//layouts/column2', meaning
     * using two-column layout. See 'protected/views/layouts/column2.php'.
     */
    public $layout = '//layouts/column2';

    /**
     * @return array action filters
     */
    public function filters() {
	return array(
	    'accessControl', // perform access control for CRUD operations
	    'postOnly + delete', // we only allow deletion via POST request
	);
    }

    /**
     * Displays a particular model.
     * @param integer $id the ID of the model to be displayed
     */
    public function actionView($id) {

	/*
	  $mPDF1 = Yii::app()->ePdf->mpdf();
	  $mPDF1->WriteHTML($this->renderPartial('view', array(
	  'model' => $this->loadModel($id),
	  ), true));

	  $mPDF1->Output();
	 */

	$this->render('view', array(
	    'model' => $this->loadModel($id),
	));
    }

    /**
     * Creates a new model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     */
    public function actionCreate() {
	$model = new Invoice;

	// Uncomment the following line if AJAX validation is needed
	// $this->performAjaxValidation($model);

	if (isset($_POST['Invoice'])) {

	    $service = '';
	    foreach ($_POST['Invoice']['service'] as $v) {
		$service .= $v . ',';
	    }
	    $service = rtrim($service, ",");

	    $model->attributes = $_POST['Invoice'];
	    $model->date = date("Y-m-d", strtotime($model->date));
	    $model->service = $service;
	    $model->created_date = date("Y-m-d H:i:s");
	    

	    if ($model->save()) {
		if(isset($_POST['Invoice']['name'])) {
		    $this->redirect(array('index', 'id' => $model->id));
		}
		$this->redirect(array('index', 'id' => $model->id));
	    }
		
		
	}

	$this->render('create', array(
	    'model' => $model,
	));
    }

    public function actionCreatepdf($id) {
	//$this->renderPartial('invoice', array('model' => $this->loadModel($id))); exit;


	$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
	spl_autoload_register(array('YiiBase', 'autoload'));

	// set document information
	$pdf->SetCreator(PDF_CREATOR);

	$pdf->SetTitle("Invoice - ");
	$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, "Invoice - " . $id, "invoice for user %USERNAME%");
	$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
	$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));
	$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
	$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
	$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);
	$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);
	$pdf->SetFont('helvetica', '', 8);
	$pdf->SetTextColor(80, 80, 80);
	$pdf->AddPage();

	$data = $this->loadModel($id);
	if (empty($data->finished)) {
	    $pdf->Header();
	}

	//Write the html
	$html = $this->renderPartial('invoice', array('model' => $data), true);



	//$html = "<div style='margin-bottom:15px;'>This is testing HTML.</div>";
	//Convert the Html to a pdf document
	$pdf->writeHTML($html, true, false, true, false, '');

	$header = array('Created by biling system'); //TODO:you can change this Header information according to your need.Also create a Dynamic Header.
	// data loading
	//$data = 'aaaaaaaaaaaaaaaaaa';
	//$data = $pdf->LoadData(Yii::getPathOfAlias('ext.tcpdf').DIRECTORY_SEPARATOR.'table_data_demo.txt'); //This is the example to load a data from text file. You can change here code to generate a Data Set from your model active Records. Any how we need a Data set Array here.
	// print colored table
	//$pdf->ColoredTable($header, $data);
	// reset pointer to the last page
	$pdf->lastPage();
	//echo 'aaaaa';
	//Close and output PDF document
	ob_end_clean();
	$pdf->Output('invoice_' . $id, 'I');
	Yii::app()->end();
    }

   
    /**
     * Updates a particular model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param integer $id the ID of the model to be updated
     */
    public function actionUpdate($id) {
	$model = $this->loadModel($id);

	// Uncomment the following line if AJAX validation is needed
	// $this->performAjaxValidation($model);

	if (isset($_POST['Invoice'])) {
	    $model->attributes = $_POST['Invoice'];
	    if ($model->save())
		$this->redirect(array('view', 'id' => $model->id));
	}

	$this->render('update', array(
	    'model' => $model,
	));
    }

    /**
     * Deletes a particular model.
     * If deletion is successful, the browser will be redirected to the 'admin' page.
     * @param integer $id the ID of the model to be deleted
     */
    public function actionDelete($id) {
	$this->loadModel($id)->delete();

	// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
	if (!isset($_GET['ajax']))
	    $this->redirect(isset($_POST['returnUrl']) ? $_POST['returnUrl'] : array('admin'));
    }

    /**
     * Lists all models.
     */
    public function actionIndex() {
	$model = new Invoice('search');
	$model->unsetAttributes();  // clear any default values
	if (isset($_GET['Invoice']))
	    $model->attributes = $_GET['Invoice'];

	$this->render('admin', array(
	    'model' => $model,
	));
	/*
	  $dataProvider = new CActiveDataProvider('Invoice');
	  $this->render('index', array(
	  'dataProvider' => $dataProvider,
	  ));
	 * 
	 */
    }

    /**
     * Manages all models.
     */
    public function actionAdmin() {
	$model = new Invoice('search');
	$model->unsetAttributes();  // clear any default values
	if (isset($_GET['Invoice']))
	    $model->attributes = $_GET['Invoice'];

	$this->render('admin', array(
	    'model' => $model,
	));
    }

    /**
     * Returns the data model based on the primary key given in the GET variable.
     * If the data model is not found, an HTTP exception will be raised.
     * @param integer $id the ID of the model to be loaded
     * @return Invoice the loaded model
     * @throws CHttpException
     */
    public function loadModel($id) {
	$model = Invoice::model()->findByPk($id);
	if ($model === null)
	    throw new CHttpException(404, 'The requested page does not exist.');
	return $model;
    }

    /**
     * Performs the AJAX validation.
     * @param Invoice $model the model to be validated
     */
    protected function performAjaxValidation($model) {
	if (isset($_POST['ajax']) && $_POST['ajax'] === 'invoice-form') {
	    echo CActiveForm::validate($model);
	    Yii::app()->end();
	}
    }

}

protected/views/invoice/_form.php
<?php
/* @var $this InvoiceController */
/* @var $model Invoice */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'invoice-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>
	<div class="row">
		<?php echo $form->labelEx($model,'name'); ?>
		<?php echo $form->textField($model,'name', array('size'=>20,'maxlength'=>255)); ?>
		<?php echo $form->error($model,'name'); ?>
	</div>
	<div id ='service'>
	    <div class="row">
		    <?php echo $form->labelEx($model,'service'); ?>
		    <?php echo $form->dropDownList($model,'service[]', MyHelper::getService(),
			    array('empty' => '--Select Service--'));?>	
		    <?php echo $form->error($model,'service[]'); ?>
		    <?php echo CHtml::link('Add new service','#',
			array('class'=>'linkClass','onclick'=>'addNewService()'));
		    ?>
		
	    </div>
	    
	</div>
	<div id='newService'></div>
	<script>
    function addNewService() {
	    var ddlist = document.getElementById('service').innerHTML;
	    var newData = document.getElementById('newService').outerHTML;
	    //alert(newData);
	    document.getElementById('newService').innerHTML = ddlist+''+newData;
	    
	    //alert(ddlist);
    }
  </script>
	<div class="row">
		<?php echo $form->labelEx($model,'user_id'); ?>
		<?php echo $form->dropDownList($model,'user_id', MyHelper::getUsers());?>	
		<?php echo $form->error($model,'user_id'); ?>
	</div>
	
	
	
	<div class="row">
	      
	<?php echo $form->labelEx($model, 'date'); ?>
	    
	    <?php /*Yii::import('application.extensions.CJuiDateTimePicker.CJuiDateTimePicker');
		$this->widget('CJuiDateTimePicker',array(
		    'model'=>$model, //Model object
		    'attribute'=>'date', //attribute name
		    'mode'=>'datetime', //use "time","date" or "datetime" (default)
		    'options'=>array(), // jquery plugin options
		));*/
	    ?>
	    
	    <?php
	    
	    $this->widget('zii.widgets.jui.CJuiDatePicker', array(
		'name' => 'Invoice[date]',		
		// additional javascript options for the date picker plugin
		'options' => array(
		    'showAnim' => 'fold',
		),
		'htmlOptions' => array(
		    'style' => 'height:15px;'
		),
	    ));/**/
	    
	?>
	    <?php echo $form->error($model, 'date'); ?>
    </div>

	

	<div class="row">
		<?php echo $form->labelEx($model,'company'); ?>
		<?php echo $form->dropDownList($model,'company', MyHelper::getCompanyOptions());?>	
		<?php echo $form->error($model,'company'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'price'); ?>
		<?php echo $form->textField($model,'price'); 
		?>
		<?php echo $form->error($model,'price'); ?>
	</div>
	<div class="row">
		<?php echo $form->labelEx($model,'currency'); ?>
		<?php echo $form->dropDownList($model,'currency', Yii::app()->params['currency']); ?>
		<?php echo $form->error($model,'currency'); ?>
	</div>
  
	<div class="row">
		<?php echo $form->labelEx($model,'count'); ?>
		<?php echo $form->textField($model,'count',array('value' => '1')); 
		?>
		<?php echo $form->error($model,'count'); ?>
	</div>

	<div class="row">
		<?php echo $form->labelEx($model,'vat'); ?>
		<?php echo $form->dropDownList($model,'vat', MyHelper::getVAT(),array(
        'empty'=>'no VAT'));?>	
		
		<?php echo $form->error($model,'vat'); ?>
	</div>
	<div class="row">
		<?php echo $form->labelEx($model,'discount'); ?>
		<?php echo $form->textField($model,'discount'); 
		?>
		<?php echo $form->error($model,'discount'); ?>
	</div>
	<div class="row buttons">
	    <?php echo CHtml::button(Yii::t('lang','InvoicePriceCalcText'),array('title'=>"Calculate Price",'onclick'=>'js:calcPrice();'));?>
	</div>
	<p><?php echo Yii::t('lang','InvoiceToPayText'); ?> : <b><span id='fullprice'></span></b></p>
	<div class="row buttons">
	    <p><?php echo Yii::t('lang','InvoicePayWithText'); ?> :
		<?php echo CHtml::radioButton('payOpt', true, array('value'=>'yes', 'id'=>'payWithPaypal', 'uncheckValue'=>null)); ?> Paypal 
		<?php echo CHtml::radioButton('payOpt', false, array('value'=>'yes', 'id'=>'payWithCard', 'uncheckValue'=>null)); ?> Credit Card
		<?php echo CHtml::submitButton(Yii::t('lang','InvoicePayText'), array('name' => 'pay')); ?>
	    </p>
	</div>
  <script>
      function calcPrice() {
	 //alert(document.getElementById('Invoice_price').value);
	price = document.getElementById('Invoice_price').value;
	count = document.getElementById('Invoice_count').value;
	lastPrice = price*count;  
	
	com = lastPrice * 12/100;
	  lastPrice += com;
	  
	  vat = document.getElementById('Invoice_vat').value;
	  if(vat != 0) {
	      lastPrice += lastPrice*vat/100;
	  }
	  discount = document.getElementById('Invoice_discount').value;
	  if(discount != 0) {
	      lastPrice -= lastPrice*discount/100;
	  }
	  //lastPrice = price*count*vat/100*12/100*discount/100;
	// alert(lastPrice);
	 //document.getElementById('fullprice').value = lastPrice;
	 //Math.round(lastPrice).toFixed(2);
	 document.getElementById('fullprice').innerHTML = Math.round(lastPrice).toFixed(2);
	  
	  
      }
  </script>
	<div class="row buttons">
	    <?php echo CHtml::submitButton($model->isNewRecord ? Yii::t('lang','InvoiceSaveText') : 'Save'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->

protected/views/invoice/_search.php
<?php
/* @var $this InvoiceController */
/* @var $model Invoice */
/* @var $form CActiveForm */
?>

<div class="wide form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'action'=>Yii::app()->createUrl($this->route),
	'method'=>'get',
)); ?>

	<div class="row">
		<?php echo $form->label($model,'id'); ?>
		<?php echo $form->textField($model,'id',array('size'=>15,'maxlength'=>15)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'date'); ?>
		<?php echo $form->textField($model,'date'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'name'); ?>
		<?php echo $form->textField($model,'name',array('size'=>60,'maxlength'=>255)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'company'); ?>
		<?php echo $form->textField($model,'company',array('size'=>60,'maxlength'=>255)); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'price'); ?>
		<?php echo $form->textField($model,'price'); ?>
	</div>

	<div class="row">
		<?php echo $form->label($model,'pay'); ?>
		<?php echo $form->textField($model,'pay'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton('Search'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- search-form -->

protected/views/invoice/_view.php
<?php
/* @var $this InvoiceController */
/* @var $data Invoice */
?>
<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'invoice_paying_form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>
<div class="view">

	<b><?php echo CHtml::encode($data->getAttributeLabel('id')); ?>:</b>
	<?php echo CHtml::link(CHtml::encode($data->id), array('view', 'id'=>$data->id)); ?>
	<br />

	<b><?php echo CHtml::encode($data->getAttributeLabel('date')); ?>:</b>
	<?php echo CHtml::encode($data->date); ?>
	<br />

	<b><?php echo CHtml::encode($data->getAttributeLabel('name')); ?>:</b>
	<?php echo CHtml::encode($data->name); ?>
	<br />

	<b><?php echo CHtml::encode($data->getAttributeLabel('company')); ?>:</b>
	<?php echo CHtml::encode($data->company); ?>
	<br />

	<b><?php echo CHtml::encode($data->getAttributeLabel('price')); ?>:</b>
	<?php echo CHtml::encode($data->price); ?>
	<br />

	<b><?php echo CHtml::encode($data->getAttributeLabel('pay')); ?>:</b>	
	<?php echo CHtml::encode($data->pay); ?>


</div>

protected/views/invoice/admin.php
<?php
/* @var $this InvoiceController */
/* @var $model Invoice */

$this->breadcrumbs=array(
	Yii::t('lang','InvoiceHeaderText'),
);

$this->menu=array(
	array('label'=>'List Invoice', 'url'=>array('index')),
	array('label'=>'Create Invoice', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#invoice-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1><?php echo Yii::t('lang','InvoiceHeaderText'); ?></h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php 

    $cgrid = (Yii::app()->user->role == 5) ? 'MyCButtonColumn' : 'CButtonColumn';


$this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'invoice-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
	    array('name'=>'id',
		    'type'=>'raw',
		    'value'=>'CHtml::link($data->id,array("invoice/createpdf","id"=>$data->id),array("target"=>"_blank"))',
		    ),		
		'date',
		'name',
		'company',		
		array(
			'class'=>$cgrid,
		),
	),
)); ?>

protected/views/invoice/create.php
<?php
/* @var $this InvoiceController */
/* @var $model Invoice */

$this->breadcrumbs=array(
	'Invoices'=>array('index'),
	'Create',
);

$this->menu=array(
	array('label'=>'List Invoice', 'url'=>array('index')),
	array('label'=>'Manage Invoice', 'url'=>array('admin')),
);
?>

<h1><?php echo Yii::t('lang','InvoiceHeaderCreateText'); ?></h1>

<?php $this->renderPartial('_form', array('model'=>$model)); ?>

protected/views/invoice/index.php
<?php
/* @var $this InvoiceController */
/* @var $dataProvider CActiveDataProvider */

$this->breadcrumbs=array(
	'Invoices',
);

$this->menu=array(
	array('label'=>'Create Invoice', 'url'=>array('create')),
	array('label'=>'Manage Invoice', 'url'=>array('admin')),
);
?>

<h1>Invoices</h1>

<?php $this->widget('zii.widgets.CListView', array(
	'dataProvider'=>$dataProvider,
	'itemView'=>'_view',
)); ?>

protected/views/invoice/invoice.php
<h1>Invoice - #<?php echo $model->id; ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data'=>$model,
	'attributes'=>array(
		'id',
		'date',
		'name',
		'service',
		'user',
		'company',
		'price',
		'count',
		'vat',
		'type',
		'created_date',
	),
)); ?>

protected/views/invoice/update.php
<?php
/* @var $this InvoiceController */
/* @var $model Invoice */

$this->breadcrumbs=array(
	'Invoices'=>array('index'),
	$model->name=>array('view','id'=>$model->id),
	'Update',
);

$this->menu=array(
	array('label'=>'List Invoice', 'url'=>array('index')),
	array('label'=>'Create Invoice', 'url'=>array('create')),
	array('label'=>'View Invoice', 'url'=>array('view', 'id'=>$model->id)),
	array('label'=>'Manage Invoice', 'url'=>array('admin')),
);
?>

<h1>Update Invoice <?php echo $model->id; ?></h1>

<?php $this->renderPartial('_form', array('model'=>$model)); ?>

protected/views/invoice/view.php
<?php
/* @var $this InvoiceController */
/* @var $model Invoice */


$this->breadcrumbs=array(
	'Invoices'=>array('index'),
	$model->name,
);

$this->menu=array(
	array('label'=>'List Invoice', 'url'=>array('index')),
	array('label'=>'Create Invoice', 'url'=>array('create')),
	array('label'=>'Update Invoice', 'url'=>array('update', 'id'=>$model->id)),
	array('label'=>'Delete Invoice', 'url'=>'#', 'linkOptions'=>array('submit'=>array('delete','id'=>$model->id),'confirm'=>'Are you sure you want to delete this item?')),
	array('label'=>'Manage Invoice', 'url'=>array('admin')),
);
?>

<h1>View Invoice #<?php echo $model->id; ?></h1>

<?php $this->widget('zii.widgets.CDetailView', array(
	'data'=>$model,
	'attributes'=>array(
		'id',
		'date',
		'name',
		'company',
		'price',
		'pay',
		'type',
	),
)); ?>

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'invoice_paying_form',
	'enableAjaxValidation'=>false,
)); ?>

<?php if(empty(CHtml::encode($model->pay))) : ?>
<p>Pay with :</p> <?php echo $form->dropDownList($model,'type', 
			    array('empty'=>'--Select Service--'),
				   array('1'=>'PayPal',
				    '2'=>'Visa/Master card',
				    '3'=>'Credits'));
	?>
	<div class="row buttons">
	    <?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	</div>

	
	<?php endif; ?>
<?php $this->endWidget(); ?>